Page MenuHomePhabricator

codfw1dev: bootstrap cloudcontrol servers in mitaka/stretch
Closed, ResolvedPublic

Description

Let's install cloudcontrol servers in codfw1dev as mitaka/stretch.

This will also allow us to test the puppet code for these servers, since these will be the first running the mitaka/stretch combo.

Plan is:

  • image cloudcontrol2001-dev with mitaka/stretch (was spare) and test puppet code from T215407: cloudvps: cloudcontrol support for mitaka/stretch
  • pupulate openstack databases, from labtestcontrol2003 and labtestcontrol2001 and put them in cloudcontrol2001-dev
  • reimage and rename labtestcontrol2003 to cloudcontrol2003-dev with mitaka/stretch (currently mitaka/jessie)

Details

Related Gerrit Patches:

Event Timeline

Change 500044 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] wmcs: introduce codfw1dev puppet code

https://gerrit.wikimedia.org/r/500044

Change 500044 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] wmcs: introduce codfw1dev puppet code

https://gerrit.wikimedia.org/r/500044

Change 500047 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] cloudcontrol2001-dev: assign proper role

https://gerrit.wikimedia.org/r/500047

Change 500047 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] cloudcontrol2001-dev: assign proper role

https://gerrit.wikimedia.org/r/500047

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

cloudcontrol2001-dev.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201904011026_aborrero_125072_cloudcontrol2001-dev_wikimedia_org.log.

Mentioned in SAL (#wikimedia-operations) [2019-04-01T10:27:21Z] <arturo> T219626 reimaging cloudcontrol2001-dev

Completed auto-reimage of hosts:

['cloudcontrol2001-dev.wikimedia.org']

Of which those FAILED:

['cloudcontrol2001-dev.wikimedia.org']

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

cloudcontrol2001-dev.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201904011049_aborrero_130582_cloudcontrol2001-dev_wikimedia_org.log.

Completed auto-reimage of hosts:

['cloudcontrol2001-dev.wikimedia.org']

Of which those FAILED:

['cloudcontrol2001-dev.wikimedia.org']

Change 500418 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[labs/private@master] openstack: bootstrap hiera keys for codfw1dev

https://gerrit.wikimedia.org/r/500418

Change 500418 merged by Arturo Borrero Gonzalez:
[labs/private@master] openstack: bootstrap hiera keys for codfw1dev

https://gerrit.wikimedia.org/r/500418

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

cloudcontrol2001-dev.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201904011125_aborrero_140093_cloudcontrol2001-dev_wikimedia_org.log.

Completed auto-reimage of hosts:

['cloudcontrol2001-dev.wikimedia.org']

Of which those FAILED:

['cloudcontrol2001-dev.wikimedia.org']

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

cloudcontrol2001-dev.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201904011145_aborrero_144352_cloudcontrol2001-dev_wikimedia_org.log.

Completed auto-reimage of hosts:

['cloudcontrol2001-dev.wikimedia.org']

Of which those FAILED:

['cloudcontrol2001-dev.wikimedia.org']

Change 500434 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: keystone: add DB configuration for stretch

https://gerrit.wikimedia.org/r/500434

Mentioned in SAL (#wikimedia-cloud) [2019-04-01T12:26:33Z] <arturo> T219626 create VM cloudcontrol-codfw1dev-test-01 for testing codfw1dev cloudcontrol puppet role

Change 500434 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: add some missing bits for codfw1dev

https://gerrit.wikimedia.org/r/500434

Change 500468 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] hieradata: openstack: codfw1dev: nova: add missing nova keys

https://gerrit.wikimedia.org/r/500468

Change 500468 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] hieradata: openstack: codfw1dev: nova: add missing nova keys

https://gerrit.wikimedia.org/r/500468

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

cloudcontrol2001-dev.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201904011510_aborrero_192261_cloudcontrol2001-dev_wikimedia_org.log.

Completed auto-reimage of hosts:

['cloudcontrol2001-dev.wikimedia.org']

Of which those FAILED:

['cloudcontrol2001-dev.wikimedia.org']

Apparently the server was finally installed fine.

Change 500718 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] cloudcontrol2001-dev: fix partman recipe

https://gerrit.wikimedia.org/r/500718

Change 500718 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] cloudcontrol2001-dev: fix partman recipe

https://gerrit.wikimedia.org/r/500718

Reimaging it bc wrong partman recipe and because a some changes in the puppet code for mitaka/stretch in cloudcontrol servers.

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

cloudcontrol2001-dev.wikimedia-org

The log can be found in /var/log/wmf-auto-reimage/201904021249_aborrero_144188_cloudcontrol2001-dev_wikimedia-org.log.

Completed auto-reimage of hosts:

['cloudcontrol2001-dev.wikimedia-org']

Of which those FAILED:

['cloudcontrol2001-dev.wikimedia-org']

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

cloudcontrol2001-dev.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201904021250_aborrero_147374_cloudcontrol2001-dev_wikimedia_org.log.

Completed auto-reimage of hosts:

['cloudcontrol2001-dev.wikimedia.org']

Of which those FAILED:

['cloudcontrol2001-dev.wikimedia.org']

Change 500768 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] cloudcontrol2001-dev: use raid1-lvm.cfg partman recipe

https://gerrit.wikimedia.org/r/500768

Change 500768 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] cloudcontrol2001-dev: use raid1-lvm.cfg partman recipe

https://gerrit.wikimedia.org/r/500768

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

cloudcontrol2001-dev.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201904021545_aborrero_142660_cloudcontrol2001-dev_wikimedia_org.log.

Completed auto-reimage of hosts:

['cloudcontrol2001-dev.wikimedia.org']

Of which those FAILED:

['cloudcontrol2001-dev.wikimedia.org']

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

cloudcontrol2001-dev.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201904021546_aborrero_145046_cloudcontrol2001-dev_wikimedia_org.log.

Completed auto-reimage of hosts:

['cloudcontrol2001-dev.wikimedia.org']

Of which those FAILED:

['cloudcontrol2001-dev.wikimedia.org']

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

cloudcontrol2001-dev.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201904021546_aborrero_147208_cloudcontrol2001-dev_wikimedia_org.log.

Mentioned in SAL (#wikimedia-operations) [2019-04-02T15:57:07Z] <arturo> T219626 reimaging cloudcontrol2001-dev again

Completed auto-reimage of hosts:

['cloudcontrol2001-dev.wikimedia.org']

Of which those FAILED:

['cloudcontrol2001-dev.wikimedia.org']
GTirloni removed a subscriber: GTirloni.Apr 3 2019, 10:14 AM

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

cloudcontrol2001-dev.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201904031241_aborrero_80024_cloudcontrol2001-dev_wikimedia_org.log.

Mentioned in SAL (#wikimedia-operations) [2019-04-03T12:42:29Z] <arturo> T219626 reimaging cloudcontrol2001-dev

Completed auto-reimage of hosts:

['cloudcontrol2001-dev.wikimedia.org']

Of which those FAILED:

['cloudcontrol2001-dev.wikimedia.org']

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

cloudcontrol2001-dev.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201904041020_aborrero_106392_cloudcontrol2001-dev_wikimedia_org.log.

Mentioned in SAL (#wikimedia-operations) [2019-04-04T10:21:27Z] <arturo> T219626 reimaging cloudcontrol2001-dev again

Completed auto-reimage of hosts:

['cloudcontrol2001-dev.wikimedia.org']

Of which those FAILED:

['cloudcontrol2001-dev.wikimedia.org']

Mentioned in SAL (#wikimedia-operations) [2019-04-04T11:08:09Z] <arturo> drop python-psutil from jessie-wikimedia/openstack-mitaka-jessie, related to T219626

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

cloudcontrol2001-dev.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201904041120_aborrero_120318_cloudcontrol2001-dev_wikimedia_org.log.

Mentioned in SAL (#wikimedia-operations) [2019-04-04T11:21:18Z] <arturo> T219626 reimaging cloudcontrol2001-dev again

Change 501180 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] aptrepo: drop gdb from openstack-mitaka-jessie

https://gerrit.wikimedia.org/r/501180

Change 501180 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] aptrepo: drop gdb from openstack-mitaka-jessie

https://gerrit.wikimedia.org/r/501180

Change 501181 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] cloudcontrol2001-dev: add IPv6

https://gerrit.wikimedia.org/r/501181

Change 501181 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] cloudcontrol2001-dev: add IPv6

https://gerrit.wikimedia.org/r/501181

Completed auto-reimage of hosts:

['cloudcontrol2001-dev.wikimedia.org']

and were ALL successful.

Change 501193 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] cloudcontrol2001-dev: add IPv6

https://gerrit.wikimedia.org/r/501193

Change 501193 merged by Arturo Borrero Gonzalez:
[operations/dns@master] cloudcontrol2001-dev: add IPv6

https://gerrit.wikimedia.org/r/501193

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

cloudcontrol2001-dev.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201904041210_aborrero_132473_cloudcontrol2001-dev_wikimedia_org.log.

Mentioned in SAL (#wikimedia-operations) [2019-04-04T12:10:47Z] <arturo> T219626 reimaging cloudcontrol2001-dev again

Completed auto-reimage of hosts:

['cloudcontrol2001-dev.wikimedia.org']

and were ALL successful.

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

cloudcontrol2001-dev.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201904121032_aborrero_185525_cloudcontrol2001-dev_wikimedia_org.log.

Mentioned in SAL (#wikimedia-operations) [2019-04-12T10:32:51Z] <arturo> T219626 reimaging cloudcontrol2001-dev

Completed auto-reimage of hosts:

['cloudcontrol2001-dev.wikimedia.org']

Of which those FAILED:

['cloudcontrol2001-dev.wikimedia.org']

Change 503327 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] cloudcontrol2001-dev: drop local keystone db

https://gerrit.wikimedia.org/r/503327

Change 503327 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] cloudcontrol2001-dev: drop local keystone db

https://gerrit.wikimedia.org/r/503327

Mentioned in SAL (#wikimedia-cloud) [2019-04-15T13:08:35Z] <arturo> T219626 add DB grants for keystone/nova/nova_api to clouddb2001-dev (codfw1dev)

Mentioned in SAL (#wikimedia-cloud) [2019-04-16T10:29:52Z] <arturo> T219626 replace labtestcontrol2003 with cloudcontrol2001-dev in the clouddb2001-dev database (codfw1dev deployment)

Mentioned in SAL (#wikimedia-cloud) [2019-04-16T10:37:00Z] <arturo> T219626 replace 208.80.153.75 with 208.80.153.59 in the clouddb2001-dev database (codfw1dev deployment)

Change 504298 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: codfw1dev: update DB for neutron-server

https://gerrit.wikimedia.org/r/504298

Change 504298 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: codfw1dev: update DB for neutron-server

https://gerrit.wikimedia.org/r/504298

Mentioned in SAL (#wikimedia-cloud) [2019-04-16T11:27:41Z] <arturo> T219626 add DB grants for neutron and glnace to clouddb2001-dev (codfw1dev)

aborrero closed this task as Resolved.Apr 16 2019, 11:32 AM
aborrero updated the task description. (Show Details)

The bootstrap should be now complete. Will open separate tasks for non-working stuff we may discover.